Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 79664 - ddcprobe prints out garbage with 3dfx voodoo 3500 card.
Summary: ddcprobe prints out garbage with 3dfx voodoo 3500 card.
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kudzu
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 79579 CambridgeTarget
TreeView+ depends on / blocked
 
Reported: 2002-12-14 19:11 UTC by Sam Varshavchik
Modified: 2014-03-17 02:32 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-23 19:48:38 UTC


Attachments (Terms of Use)

Description Sam Varshavchik 2002-12-14 19:11:23 UTC
Description of problem:

The gingin2 installer did not read my monitor frequency, which had to be entered
manually.  After installing, gingin2's ddcprobe outputs garbage.

ddcprobe on a box running psyche, when hooked up to the same monitor, displays
the proper monitor frequencies.

Version-Release number of selected component (if applicable):

0.67-1

How reproducible:

Always


Steps to Reproduce:

Run ddcprobe

Actual results:

Videocard DDC probe results
Description:  3dfx Interactive, Inc. Voodoo3 3500 TV
Memory (MB):  16

Monitor DDC probe results
ID: ___ffff
Horizontal Sync (kHZ): -268377405--268376065
Vertical Sync (HZ)  : -268376065--268370092
Width (mm): 2550
Height(mm): 2550

Expected results:

Results from another box running psyche (rhpl-0.51-1), hooked up to the same
monitor:

Videocard DDC probe results
Description:  NVidia Riva TNT
Memory (MB):  4

Monitor DDC probe results
ID: STC0812
Name: KDS VS-190is
Horizontal Sync (kHZ): 30-96
Vertical Sync (HZ)  : 50-160
Width (mm): 360
Height(mm): 270

Additional info:

The gingin2 box's info:

00:00.0 Host bridge: Intel Corp. 440BX/ZX/DX - 82443BX/ZX/DX Host bridge (rev 03)
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping-
SERR- FastB2B-
	Status: Cap+ 66Mhz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort-
<MAbort+ >SERR- <PERR-
	Latency: 32
	Region 0: Memory at e0000000 (32-bit, prefetchable) [size=64M]
	Capabilities: [a0] AGP version 1.0
		Status: RQ=31 SBA+ 64bit- FW- Rate=x1,x2
		Command: RQ=0 SBA- AGP- 64bit- FW- Rate=<none>

00:01.0 PCI bridge: Intel Corp. 440BX/ZX/DX - 82443BX/ZX/DX AGP bridge (rev 03)
(prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping-
SERR+ FastB2B-
	Status: Cap- 66Mhz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort-
<MAbort- >SERR- <PERR-
	Latency: 64
	Bus: primary=00, secondary=01, subordinate=01, sec-latency=32
	I/O behind bridge: 0000a000-0000afff
	Memory behind bridge: e4000000-e7ffffff
	Prefetchable memory behind bridge: e8000000-e9ffffff
	BridgeCtl: Parity- SERR- NoISA- VGA+ MAbort- >Reset- FastB2B+

00:07.0 ISA bridge: Intel Corp. 82371AB/EB/MB PIIX4 ISA (rev 02)
	Control: I/O+ Mem+ BusMaster+ SpecCycle+ MemWINV- VGASnoop- ParErr- Stepping-
SERR- FastB2B-
	Status: Cap- 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort-
<MAbort- >SERR- <PERR-
	Latency: 0

00:07.1 IDE interface: Intel Corp. 82371AB/EB/MB PIIX4 IDE (rev 01) (prog-if 80
[Master])
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping-
SERR- FastB2B-
	Status: Cap- 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort-
<MAbort- >SERR- <PERR-
	Latency: 32
	Region 4: I/O ports at f000 [size=16]

00:07.2 USB Controller: Intel Corp. 82371AB/EB/MB PIIX4 USB (rev 01) (prog-if 00
[UHCI])
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping-
SERR- FastB2B-
	Status: Cap- 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort-
<MAbort- >SERR- <PERR-
	Latency: 32
	Interrupt: pin D routed to IRQ 10
	Region 4: I/O ports at b000 [size=32]

00:07.3 Bridge: Intel Corp. 82371AB/EB/MB PIIX4 ACPI (rev 02)
	Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping-
SERR- FastB2B-
	Status: Cap- 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort-
<MAbort- >SERR- <PERR-
	Interrupt: pin ? routed to IRQ 9

00:0d.0 SCSI storage controller: Adaptec AHA-2940U2/U2W
	Subsystem: Adaptec AHA-2940U2 SCSI Controller
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping-
SERR- FastB2B-
	Status: Cap+ 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort-
<MAbort- >SERR- <PERR-
	Latency: 32 (9750ns min, 6250ns max), cache line size 08
	Interrupt: pin A routed to IRQ 9
	BIST result: 00
	Region 0: I/O ports at b400 [disabled] [size=256]
	Region 1: Memory at ec003000 (64-bit, non-prefetchable) [size=4K]
	Expansion ROM at ea000000 [disabled] [size=128K]
	Capabilities: [dc] Power Management version 1
		Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
		Status: D0 PME-Enable- DSel=0 DScale=0 PME-

00:0f.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL-8029(AS)
	Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping-
SERR- FastB2B-
	Status: Cap- 66Mhz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort-
<MAbort- >SERR- <PERR-
	Interrupt: pin A routed to IRQ 5
	Region 0: I/O ports at b800 [size=32]

00:11.0 Serial controller: Oxford Semiconductor Ltd EXSYS EX-41092 Dual 16950
Serial adapter (prog-if 06 [16950])
	Subsystem: Oxford Semiconductor Ltd: Unknown device 0000
	Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping-
SERR- FastB2B-
	Status: Cap+ 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort-
<MAbort- >SERR- <PERR-
	Interrupt: pin A routed to IRQ 10
	Region 0: I/O ports at bc00 [size=32]
	Region 1: Memory at ec000000 (32-bit, non-prefetchable) [size=4K]
	Region 2: I/O ports at c000 [size=32]
	Region 3: Memory at ec001000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: [40] Power Management version 1
		Flags: PMEClk- DSI- D1- D2+ AuxCurrent=0mA PME(D0+,D1-,D2+,D3hot+,D3cold-)
		Status: D0 PME-Enable- DSel=0 DScale=0 PME-

00:11.1 Parallel controller: Oxford Semiconductor Ltd: Unknown device 9500
(prog-if 01 [BiDir])
	Subsystem: Oxford Semiconductor Ltd: Unknown device 0000
	Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping-
SERR- FastB2B-
	Status: Cap+ 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort-
<MAbort- >SERR- <PERR-
	Interrupt: pin A routed to IRQ 10
	Region 0: I/O ports at c400 [size=8]
	Region 1: I/O ports at c800 [size=8]
	Region 2: I/O ports at cc00 [size=32]
	Region 3: Memory at ec002000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: [40] Power Management version 1
		Flags: PMEClk- DSI- D1- D2+ AuxCurrent=0mA PME(D0+,D1-,D2+,D3hot+,D3cold-)
		Status: D0 PME-Enable- DSel=0 DScale=0 PME-

00:13.0 Unknown mass storage controller: Triones Technologies, Inc.
HPT366/368/370/370A/372 (rev 01)
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping-
SERR- FastB2B-
	Status: Cap- 66Mhz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort-
<MAbort- >SERR- <PERR-
	Latency: 120 (2000ns min, 2000ns max), cache line size 08
	Interrupt: pin A routed to IRQ 11
	Region 0: I/O ports at d000 [size=8]
	Region 1: I/O ports at d400 [size=4]
	Region 4: I/O ports at d800 [size=256]
	Expansion ROM at eb000000 [disabled] [size=128K]

00:13.1 Unknown mass storage controller: Triones Technologies, Inc.
HPT366/368/370/370A/372 (rev 01)
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping-
SERR- FastB2B-
	Status: Cap- 66Mhz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort-
<MAbort- >SERR- <PERR-
	Latency: 120 (2000ns min, 2000ns max), cache line size 08
	Interrupt: pin B routed to IRQ 11
	Region 0: I/O ports at dc00 [size=8]
	Region 1: I/O ports at e000 [size=4]
	Region 4: I/O ports at e400 [size=256]

01:00.0 VGA compatible controller: 3Dfx Interactive, Inc. Voodoo 3 (rev 01)
(prog-if 00 [VGA])
	Subsystem: 3Dfx Interactive, Inc. Voodoo3 3500 TV (NTSC)
	Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping-
SERR- FastB2B-
	Status: Cap+ 66Mhz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort-
<MAbort- >SERR- <PERR+
	Interrupt: pin A routed to IRQ 5
	Region 0: Memory at e4000000 (32-bit, non-prefetchable) [size=32M]
	Region 1: Memory at e8000000 (32-bit, prefetchable) [size=32M]
	Region 2: I/O ports at a000 [size=256]
	Expansion ROM at e6000000 [disabled] [size=64K]
	Capabilities: [54] AGP version 1.0
		Status: RQ=7 SBA+ 64bit+ FW- Rate=x1,x2
		Command: RQ=0 SBA- AGP- 64bit- FW- Rate=<none>
	Capabilities: [60] Power Management version 1
		Flags: PMEClk- DSI+ D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
		Status: D0 PME-Enable- DSel=0 DScale=0 PME-

00:00.0 Class 0600: 8086:7190 (rev 03)
00:01.0 Class 0604: 8086:7191 (rev 03)
00:07.0 Class 0601: 8086:7110 (rev 02)
00:07.1 Class 0101: 8086:7111 (rev 01)
00:07.2 Class 0c03: 8086:7112 (rev 01)
00:07.3 Class 0680: 8086:7113 (rev 02)
00:0d.0 Class 0100: 9005:0010
00:0f.0 Class 0200: 10ec:8029
00:11.0 Class 0700: 1415:950a
00:11.1 Class 0701: 1415:9500
00:13.0 Class 0180: 1103:0004 (rev 01)
00:13.1 Class 0180: 1103:0004 (rev 01)
01:00.0 Class 0300: 121a:0005 (rev 01)

Comment 1 Bill Nottingham 2002-12-19 21:39:11 UTC
Does it work the same on the other box *with the same graphics card* as in the
box where it fails?

Comment 2 Sam Varshavchik 2002-12-21 02:39:17 UTC
I swapped the cards between the two boxes.  gingin2 ddcprobe reports correct
frequencies with the TNT card, and the psyche ddcprobe reports garbage with the
3dfx card; so the problem appears to be the 3dfx card.

I do note that up until gingin1 the anaconda installer was able to read the
monitor frequencies succesfully.

psyche with 3dfx voodoo 3500:

Videocard DDC probe results
Description:  3dfx Interactive, Inc. Voodoo3 3500 TV
Memory (MB):  16

Monitor DDC probe results
ID: ___ffff
Horizontal Sync (kHZ): -268377405--268374161
Vertical Sync (HZ)  : -268374161--268370092
Width (mm): 2550
Height(mm): 2550

gingin2 with tnt 128:

Videocard DDC probe results
Description:  NVidia Riva TNT
Memory (MB):  4

Monitor DDC probe results
ID: STC0812
Name: KDS VS-190is
Horizontal Sync (kHZ): 30-96
Vertical Sync (HZ)  : 50-160
Width (mm): 360
Height(mm): 270


Comment 3 Jeremy Katz 2002-12-29 07:47:17 UTC
ddcprobe is just a very thin wrapper around kudzu doing DDC probing so these are
the values that kudzu is returning

Comment 4 Bill Nottingham 2002-12-30 06:10:27 UTC
Hm, it works with the first beta, but not with the second? What about the third? :)

Arjan, did anything change in vm86 in the kernel recently?

Comment 5 Sam Varshavchik 2002-12-30 07:17:36 UTC
No, beta3 was when I first noticed the problem.  I do not recall any issues with
beta or beta2.



Comment 6 Bill Nottingham 2002-12-30 20:30:25 UTC
OK, previously you said 'gingin2', I presumed that meant beta2.

Comment 7 Bill Nottingham 2005-09-23 19:48:38 UTC
Apologies for the slow response. Please attempt to reproduce this problem on a
currently supported release, such as Fedora Core 4. If it does still happen,
please open a new issue.


Note You need to log in before you can comment on or make changes to this bug.